Package org.apache.sysds.runtime.transform.tokenize.builder

## Class TokenizerBuilder

- java.lang.Object
- - org.apache.sysds.runtime.transform.tokenize.builder.TokenizerBuilder

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `TokenizerBuilderWhitespaceSplit`

    public abstract class TokenizerBuilder
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`TokenizerBuilder()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `createInternalRepresentation​(FrameBlock in, DocumentRepresentation[] internalRepresentation)`
`abstract void` `createInternalRepresentation​(FrameBlock in, DocumentRepresentation[] internalRepresentation, int rowStart, int blk)`
`List<DependencyTask<?>>` `getTasks​(FrameBlock in, DocumentRepresentation[] internalRepresentation)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TokenizerBuilder

    public TokenizerBuilder()

### Method Detail

#### createInternalRepresentation

    public void createInternalRepresentation​(FrameBlock in,
                                             DocumentRepresentation[] internalRepresentation)

#### createInternalRepresentation

    public abstract void createInternalRepresentation​(FrameBlock in,
                                                      DocumentRepresentation[] internalRepresentation,
                                                      int rowStart,
                                                      int blk)

#### getTasks

    public List<DependencyTask<?>> getTasks​(FrameBlock in,
                                            DocumentRepresentation[] internalRepresentation)